CFLAGS = -c  -Wall -O6 -march=pentium4 -ffast-math -funroll-loops -fomit-frame-pointer -mfpmath=sse -mdll -DXV_WIN32  -I../../include \
 -I../../include/xvin  -I../../include/plug-ins -I../../include/allegro -I. -I./base -I./headers -I./include -I./output \
-I"C:/Program\ Files/GnuWin32/include" -I"C:/Ifc56/inc-mingw" -L../../lib/. -L.

SRCH = ./include/iXon.h ./include/iXon_acq_control.h ./include/iXon_temp_control.h \
    ./include/iXon_tape.h ./include/iXon_threads.h ./include/global_define.h ./include/global_variables.h \
    ./include/global_functions.h

OBJ = ./output/iXon.o ./output/iXon_temp_control.o ./output/gui_caps.o \
        ./output/menu_iXon.o ./output/iXon_tape.o ./output/iXon_threads.o ./output/iXon_acq_control.o \
        ./output/iXon_image_settings.o
        
all : ../../bin/iXon.dll 


clean :
	rm ../../bin/iXon.dll \
	   ../../lib/libiXon.a \
       ../../lib/libATMCD32D.a \
       ./output/* \

zip	: makefile 
	cd ../..; /c/Program\ Files/7-zip/7z a -tzip plug-ins-src/ixon/iXon.zip \
	plug-ins-src/ixon/src/ \
    plug-ins-src/ixon/makefile \
    plug-ins-src/ixon/base/ plug-ins-src/ixon/include/ plug-ins-src/ixon/other/ \
    ; cd plug-ins-src/ixon 

../../bin/iXon.dll :  $(OBJ) $(SRCH) ../../lib/libATMCD32D.a 
	gcc  -o ../../bin/iXon.dll -mwindows -shared -L../../lib/. -L. $(OBJ)\
	-lalleg -lxvin -lATMCD32D -lalfont -llogfile -lnidaq_commander_adrien -Wl,--export-all-symbols  -Wl,--enable-auto-import \
	-Wl,--out-implib=../../lib/libiXon.a ; 

./output/iXon.o : ./src/iXon.c ./include/iXon.h
	gcc $(CFLAGS) -o ./output/iXon.o ./src/iXon.c
	
./output/iXon_threads.o : ./src/iXon_threads.c ./include/iXon_threads.h
	gcc $(CFLAGS) -o ./output/iXon_threads.o ./src/iXon_threads.c
	
./output/iXon_tape.o : ./src/iXon_tape.c ./include/iXon_tape.h
	gcc $(CFLAGS) -o ./output/iXon_tape.o ./src/iXon_tape.c
	
./output/iXon_temp_control.o : ./src/iXon_temp_control.c ./include/iXon_temp_control.h
	gcc $(CFLAGS) -o ./output/iXon_temp_control.o ./src/iXon_temp_control.c
	
./output/gui_caps.o : ./base/gui_caps.c ./include/gui_caps.h
	gcc $(CFLAGS) -o ./output/gui_caps.o ./base/gui_caps.c	
	
./output/menu_iXon.o : ./base/menu_iXon.c ./include/menu_iXon.h
	gcc $(CFLAGS) -o ./output/menu_iXon.o ./base/menu_iXon.c
	
./output/iXon_acq_control.o : ./src/iXon_acq_control.c ./include/iXon_acq_control.h
	gcc $(CFLAGS) -o ./output/iXon_acq_control.o ./src/iXon_acq_control.c

./output/iXon_image_settings.o : ./src/iXon_image_settings.c ./include/iXon_image_settings.h
	gcc $(CFLAGS) -o ./output/iXon_image_settings.o ./src/iXon_image_settings.c	
		
../../lib/libATMCD32D.a : ./other/ATMCD32D.def ./other/ATMCD32D.dll
	dlltool --def ./other/ATMCD32D.def -k --dllname ATMCD32D.dll --output-lib ../../lib/libATMCD32D.a ;
	